CURLOPT_CONNECT_ONLY(3)

NAME
CURLOPT_CONNECT_ONLY - stop when connected to target server

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_CONNECT_ONLY, long only);

DESCRIPTION
Pass a long. If the parameter equals 1, it tells the library to perform all the required proxy authentication and connection setup, but no data transfer, and then return. The option can be used to simply test a connection to a server, but is more useful when used with the CURLINFO_ACTIVESOCKET(3) option to curl_easy_getinfo(3) as the library can set up the connection and then the application can obtain the most recently used socket for special data transfers.

DEFAULT
0

PROTOCOLS
HTTP, SMTP, POP3 and IMAP

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  CURLcode ret;
  curl_easy_setopt(curl, CURLOPT_URL, "https://example.com/");
  curl_easy_setopt(curl, CURLOPT_CONNECT_ONLY, 1L);
  ret = curl_easy_perform(curl);
  if(ret == CURLE_OK) {
    /* only connected! */
  }
}

AVAILABILITY
Added in 7.15.2

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_VERBOSE(3), CURLOPT_HTTPPROXYTUNNEL(3), curl_easy_recv(3), curl_easy_send(3)